Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGStylableElement.PresentationAttributeValue

    java.lang.Object
      org.apache.batik.css.dom.CSSOMValue
          org.apache.batik.dom.svg.SVGStylableElement.PresentationAttributeValue

All Implemented Interfaces:
  CSSOMValue.ValueProvider, LiveAttributeValue, Counter, CSSPrimitiveValue, CSSValue, CSSValueList, Rect, RGBColor

Enclosing class:
  SVGStylableElement

    public class SVGStylableElement.PresentationAttributeValue

extends CSSOMValue
implements LiveAttributeValue, CSSOMValue.ValueProvider

To manage a presentation attribute value.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.css.dom.CSSOMValue
`CSSOMValue.AbstractComponent, CSSOMValue.AbstractModificationHandler, CSSOMValue.BlueComponent, CSSOMValue.BottomComponent, CSSOMValue.FloatComponent, CSSOMValue.GreenComponent, CSSOMValue.LeftComponent, CSSOMValue.ListComponent, CSSOMValue.ModificationHandler, CSSOMValue.RedComponent, CSSOMValue.RightComponent, CSSOMValue.TopComponent, CSSOMValue.ValueProvider`

Field Summary
`protected CSSEngine` | `cssEngine` The CSS engine.
`protected boolean` | `mutate` Whether the mutation comes from this object.
`protected String` | `property` The property name.
`protected Value` | `value` The value.

Fields inherited from class org.apache.batik.css.dom.CSSOMValue
`blueComponent, bottomComponent, greenComponent, handler, items, leftComponent, redComponent, rightComponent, topComponent, valueProvider`

Fields inherited from interface org.w3c.dom.css.CSSPrimitiveValue
`CSS_ATTR, CSS_CM, CSS_COUNTER, CSS_DEG, CSS_DIMENSION, CSS_EMS, CSS_EXS, CSS_GRAD, CSS_HZ, CSS_IDENT, CSS_IN, CSS_KHZ, CSS_MM, CSS_MS, CSS_NUMBER, CSS_PC, CSS_PERCENTAGE, CSS_PT, CSS_PX, CSS_RAD, CSS_RECT, CSS_RGBCOLOR, CSS_S, CSS_STRING, CSS_UNKNOWN, CSS_URI`

Fields inherited from interface org.w3c.dom.css.CSSValue
`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`

Constructor Summary
`SVGStylableElement.PresentationAttributeValue(CSSEngine eng, String prop)` Creates a new PresentationAttributeValue.

Method Summary
`void` | `attrAdded(Attr node, String newv)` Called when an Attr node has been added.
`void` | `attrModified(Attr node, String oldv, String newv)` Called when an Attr node has been modified.
`void` | `attrRemoved(Attr node, String oldv)` Called when an Attr node has been removed.
`Value` | `getValue()` Returns the current value associated with this object.

Methods inherited from class org.apache.batik.css.dom.CSSOMValue
`convertFloatValue, getBlue, getBottom, getCounterValue, getCssText, getCssValueType, getFloatValue, getGreen, getIdentifier, getLeft, getLength, getListStyle, getPrimitiveType, getRectValue, getRed, getRGBColorValue, getRight, getSeparator, getStringValue, getTop, item, setCssText, setFloatValue, setModificationHandler, setStringValue, toCentimeters, toDegrees, toGradians, toHertz, toInches, tokHertz, toMillimeters, toMilliseconds, toPicas, toPoints, toRadians, toSeconds`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cssEngine

    protected CSSEngine cssEngine

  The CSS engine.

### property

    protected String property

  The property name.

### value

    protected Value value

  The value.

### mutate

    protected boolean mutate

  Whether the mutation comes from this object.

Constructor Detail

### SVGStylableElement.PresentationAttributeValue

    public SVGStylableElement.PresentationAttributeValue(CSSEngine eng,
                                                         String prop)

  Creates a new PresentationAttributeValue.

Method Detail

### getValue

    public Value getValue()

  Returns the current value associated with this object.

  Specified by:
    `getValue` in interface `CSSOMValue.ValueProvider`

### attrAdded

    public void attrAdded(Attr node,
                          String newv)

  Called when an Attr node has been added.

  Specified by:
    `attrAdded` in interface `LiveAttributeValue`

### attrModified

    public void attrModified(Attr node,
                             String oldv,
                             String newv)

  Called when an Attr node has been modified.

  Specified by:
    `attrModified` in interface `LiveAttributeValue`

### attrRemoved

    public void attrRemoved(Attr node,
                            String oldv)

  Called when an Attr node has been removed.

  Specified by:
    `attrRemoved` in interface `LiveAttributeValue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.